<?php
/*
 * Abrevo Theme
 */
?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<header class="entry-header">
		<h1 class="entry-title"><a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_title(); ?></a></h1>
		<?php if ( 'post' == get_post_type() ) : ?>
		<div class="entry-meta">
			<?php abrevo_posted_on(); ?>
		</div>
		<?php endif; ?>
	</header>
	<?php if ( is_search() ) : ?>
	<div class="entry-summary">
		<?php the_excerpt(); ?>
	</div>
	<?php else : ?>
	<div class="entry-content">
		<?php the_content( __( 'Read more <span class="meta-nav">&rarr;</span>', 'abrevo' ) ); ?>
		<?php
			wp_link_pages( array(
				'before' => '<div class="page-links">' . __( 'Pages:', 'abrevo' ),
				'after'  => '</div>',
			) );
		?>
	</div>
	<?php endif; ?>
	<footer class="entry-meta">
		<?php if ( 'post' == get_post_type() ) : ?>
			<?php
				$categories_list = get_the_category_list( __( ', ', 'abrevo' ) );
				if ( $categories_list && abrevo_categorized_blog() ) :
			?>
			<span class="cat-links">
				<?php echo $categories_list; ?>
			</span>
			<?php endif; ?>
			<?php
				$tags_list = get_the_tag_list( '', __( ', ', 'abrevo' ) );
				if ( $tags_list ) :
			?>
			<span class="tags-links">
				<?php echo $tags_list; ?>
			</span>
			<?php endif; ?>
		<?php endif; ?>
		<?php if ( ! post_password_required() && ( comments_open() || '0' != get_comments_number() ) ) : ?>
		<span class="comments-link"><?php comments_popup_link( __( 'Leave a comment', 'abrevo' ), __( '1 Comment', 'abrevo' ), __( '% Comments', 'abrevo' ) ); ?></span>
		<?php endif; ?>
		<?php edit_post_link( __( 'Edit', 'abrevo' ), '<span class="edit-link">', '</span>' ); ?>
	</footer>
</article>