<?php
/*
 * Abrevo Theme
 */
if ( ! isset( $content_width ) ) {
	$content_width = 768; /* pixels */
}
if ( ! function_exists( 'abrevo_setup' ) ) :
function abrevo_setup() {
	load_theme_textdomain( 'abrevo', get_template_directory() . '/languages' );
	add_theme_support( 'automatic-feed-links' );
	add_theme_support( 'post-thumbnails' );
	register_nav_menus( array(
		'primary' => __( 'Primary Menu', 'abrevo' ),
	) );
	add_theme_support( 'post-formats', array( 'aside', 'image', 'video', 'quote', 'link' ) );
	add_theme_support( 'custom-background', apply_filters( 'abrevo_custom_background_args', array(
		'default-color' => 'ebe7ec',
		'default-image' => '',
	) ) );
	add_post_type_support( 'page', 'excerpt' );
}
endif; 
add_action( 'after_setup_theme', 'abrevo_setup' );
function abrevo_widgets_init() {
	register_sidebar( array(
		'name'          => __( 'Sidebar', 'abrevo' ),
		'id'            => 'sidebar-1',
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h1 class="widget-title">',
		'after_title'   => '</h1>',
	) );
}
add_action( 'widgets_init', 'abrevo_widgets_init' );
function abrevo_scripts() {
	wp_enqueue_style( 'abrevo-style', get_stylesheet_uri() );
	wp_enqueue_style( 'abrevo-google-fonts', '//fonts.googleapis.com/css?family=Roboto|Merriweather:400,300' ); 
	wp_enqueue_script( 'abrevo-navigation', get_template_directory_uri() . '/js/navigation.js', array(), '20120206', true );
	wp_enqueue_script( 'abrevo-skip-link-focus-fix', get_template_directory_uri() . '/js/skip-link-focus-fix.js', array(), '20130115', true );
	wp_enqueue_script( 'abrevo-custom-js', get_template_directory_uri() . '/js/custom.js', array( 'jquery' ), false, true );
	$abrevo_header_image_link = get_header_image();
	wp_localize_script( 'abrevo-custom-js', 'abrevoScriptParam', array('abrevo_image_link'=> $abrevo_header_image_link ) );
	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}
}
add_action( 'wp_enqueue_scripts', 'abrevo_scripts' );
require get_template_directory() . '/inc/custom-header.php';
require get_template_directory() . '/inc/template-tags.php';
require get_template_directory() . '/inc/extras.php';
require get_template_directory() . '/inc/customizer.php';
require get_template_directory() . '/inc/jetpack.php';
?>