<?php
/*
 * Abrevo Theme
 */
function abrevo_custom_header_setup() {
	add_theme_support( 'custom-header', apply_filters( 'abrevo_custom_header_args', array(
		'default-image'          => '%s/images/header/header-image-big.jpg',
		'default-text-color'     => '454545',
		'width'                  => 1050,
		'height'                 => 500,
		'flex-width'			 => true,
		'flex-height'            => true,
		'wp-head-callback'       => 'abrevo_header_style',
		'admin-head-callback'    => 'abrevo_admin_header_style',
		'admin-preview-callback' => 'abrevo_admin_header_image',
	) ) );
	register_default_headers( array(
		'header-image-one' => array(
			'url'           => '%s/images/header/header-image-big.jpg',
			'thumbnail_url' => '%s/images/header/header-image-big-thumbnail.jpg',
			'description'   => __( 'Header Image One', 'abrevo' )
			)	
	) );
}
add_action( 'after_setup_theme', 'abrevo_custom_header_setup' );

if ( ! function_exists( 'abrevo_header_style' ) ) :
function abrevo_header_style() {
	$header_text_color = get_header_textcolor();
	if ( HEADER_TEXTCOLOR == $header_text_color ) {
		return;
	}
	?>
	<style type="text/css">
	<?php
		if ( 'blank' == $header_text_color ) :
	?>
		.site-title,
		.site-description {
			position: absolute;
			clip: rect(1px, 1px, 1px, 1px);
		}
	<?php
		else :
	?>
		.site-title a {
			color: #<?php echo $header_text_color; ?>;
		}
	<?php endif; ?>
	</style>
	<?php
}
endif; 
if ( ! function_exists( 'abrevo_admin_header_style' ) ) :
function abrevo_admin_header_style() {
?>
	<style type="text/css">
		.appearance_page_custom-header #headimg {
			border: none;
		}
		#headimg h1,
		#desc {
		}
		#headimg h1 {
		}
		#headimg h1 a {
			text-decoration: none;
		}
		#desc {
		}
		#headimg img {
		}
	</style>
<?php
}
endif;
if ( ! function_exists( 'abrevo_admin_header_image' ) ) :
function abrevo_admin_header_image() {
	$style = sprintf( ' style="color:#%s;"', get_header_textcolor() );
?>
	<div id="headimg">
		<h1 class="displaying-header-text"><a id="name"<?php echo $style; ?> onclick="return false;" href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php bloginfo( 'name' ); ?></a></h1>
		<?php if ( get_header_image() ) : ?>
		<img src="<?php header_image(); ?>" alt="">
		<?php endif; ?>
	</div>
<?php
}
endif;
